# $Id: smeserver-openupload.spec,v 1.3 2010/03/09 10:35:32 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-openupload
%define version 0.1
%define release 5
Summary: sme server integration of openupload
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.zabbix.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-openupload-0.1-session_save_path.patch
Patch2: smeserver-openupload-0.1-prop_alias_on_primary.patch
Patch3: smeserver-openupload-0.1-support_lemonldap_auth.patch

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: openupload
Requires: smeserver-webapps-common
AutoReqProv: no

%description
smserver integration of openupload.
OpenUpload is an open source application to share files over
the internet (like MegaUpload or RapidShare for example)

%changelog
* Wed Jan 05 2011 Daniel B. <daniel@firewall-services.com> 0.1-5
- Add AliasOnPrimary prop
- Support LemonLDAP auth

* Tue Dec 14 2010  Daniel B. <daniel@firewall-services.com> 0.1-4
- Revert previous change

* Tue Nov 23 2010 Daniel B. <daniel@firewall-services.com> 0.1-3
- Change owner and group from apache to www

* Thu Mar 11 2010 Daniel B. <daniel@firewall-services.com> 0.1-2
- put session files in /var/lib/openupload/tmp to prevent conflicts

* Tue Mar 09 2010 Daniel B. <daniel@firewall-services.com> 0.1-1
- initial release

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/db configuration setprop openupload status disabled
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /usr/bin/sv h /service/httpd-e-smith
fi

true
